class CreateDashboardComponentPlacements < ActiveRecord::Migration[6.0]
  def change
    create_table :dashboard_component_placements do |t|
      t.integer :x
      t.integer :y
      t.integer :height
      t.integer :width
      t.belongs_to :dashboard_component, foreign_key: {on_delete: :cascade, on_update: :cascade}
      t.belongs_to :dashboard, foreign_key: {on_delete: :cascade, on_update: :cascade}

      t.timestamps
    end
  end
end
